Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::RenderPriorityGroup::RenderablePass Struct Reference

Internal struct reflecting a single Pass for a Renderable. More...

List of all members.

## Public Methods

| RenderablePass (Renderable *rend, Pass *p)

## Public Attributes

Renderable * | renderable
| Pointer to the Renderable details.
Pass * | pass
| Pointer to the Pass.

## Detailed Description

Internal struct reflecting a single Pass for a Renderable.

This is used to sort transparent objects.

Definition at line 55 of file OgreRenderQueueSortingGrouping.h.

## Constructor & Destructor Documentation

Ogre::RenderPriorityGroup::RenderablePass::RenderablePass | ( | Renderable * | rend,
|  | Pass * | p
| ) |

| Definition at line 62 of file OgreRenderQueueSortingGrouping.h.

## Member Data Documentation

Pass* Ogre::RenderPriorityGroup::RenderablePass::pass

| Pointer to the Pass. Definition at line 60 of file OgreRenderQueueSortingGrouping.h. Referenced by Ogre::RenderPriorityGroup::TransparentQueueItemLess::operator()().

Renderable* Ogre::RenderPriorityGroup::RenderablePass::renderable

| Pointer to the Renderable details. Definition at line 58 of file OgreRenderQueueSortingGrouping.h. Referenced by Ogre::RenderPriorityGroup::TransparentQueueItemLess::operator()().

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:28 2004